תיקון בעיית פג תוקף של תעודת Lets Encrypt

למעבר מתצוגת עריכה לתצוגת קריאה

ב 30/09/2021 פגה תעודה ישנה ראשית של Let's Encrypt's. ועברו להשתמש בתעודה חדשה.

אתרים רבים משתמשים בתעודה זו, ולכן אם המחשב לא מעודכן הוא לא מכיר את התעודה החדשה, והוא לא יכול לגשת לאתרים אלו בצורה מאובטחת.

בעיה זו אינה קשורה לסינון, אלא לכך שהמחשב לא מעודכן, כנ"ל.

פתרון הבעיה בווינדוס 8 ומעלה

כדי לפתור את הבעיה יש להפעיל את עדכוני ווינדוס לפי ההוראות כאן ולהפעיל מחדש את המחשב.

אם המחשב לא מצליח לעדכן את עצמו, יש לבדוק מול הספק שהעדכונים אינם חסומים מטעמו, כמו"כ יש לוודא שהעדכונים אינם חסומים בהגדרות הקהילה ו/או הגדרות הסינון האישיות.

פתרונות נוספים

פתרון פחות מומלץ למקרה שאין אפשרות מיידית לעדכן את המחשב - (תקף רק בווינדוס 8 ומעלה)

להתקין את התעודה ידנית דרך הסקריפט הזה:

https://f1.210.co.il/fix-le.bat

או זה - (לינק לא מאובטח)

http://netfree.link/fix-le.bat

ווינדוס ישן (ומערכות הפעלה נוספים)

אם יש לכם WIN7 ומטה, הדבר היחיד שתוכלו לעשות הוא להוריד את הקובץ הזה למחשב
לשנות לו את הסיומת לcrt במקום pem (כדאי להיעזר במישהו שמבין במחשבים לכל התהליך)
ולעשות את התהליך שמתואר כאן ביחס לקובץ דומה
ואז להפעיל את הדפדפן מחדש.


לפרטים נוספים על הבעיה ראה כאן